--TEST--
Class MySQLndUhConnection
--SKIPIF--
<?php require_once('skipif.inc'); ?>
--FILE--
<?php
	require_once('config.inc');

	$classname = constant("mysqlnd_uh_test\CLASS_CONNECTION");
	$conn = new $classname;
	$conn->query();

	class my_connection extends MySQLndUhConnection {
		public function query($res, $query) {
			printf("%s:%s\n", __CLASS__, __FUNCTION__);
			return parent::query($res, $query);
		}
	}
	$myconn = new my_connection();
	$myconn->query(1, 2);

	print "done!";
?>
--EXPECTF--
Warning: MySQLndUhConnection::query() expects exactly 2 parameters, 0 given in %s on line %d
my_connection:query

Warning: MySQLndUhConnection::query() expects parameter 1 to be resource, integer given in %s on line %d
done!