--TEST--
resource mysqlnd_uh_convert_to_mysqlnd(resource mysqli)
--SKIPIF--
<?php require_once('skipif.inc'); ?>
--FILE--
<?php
	require_once('config.inc');

	class proxy extends MySQLndUHConnection {
		public function getThreadId($conn) {
			return "thread_id";
		}
	}

	$conn = mysqlnd_uh_test\connect::mysqli();
	$mysqlnd = mysqlnd_uh_convert_to_mysqlnd($conn);
	var_dump($mysqlnd);
	
	$obj = new MySQLndUHConnection();
	var_dump($obj->getThreadId($mysqlnd));
	var_dump($conn->thread_id);
	
	print "done!";
?>
--EXPECTF--
resource(%d) of type (MySQLnd Connection)
int(%d)
int(%d)
done!

