--TEST--
ini: mysqlnd_uh.enabled = 0
--SKIPIF--
<?php require_once('skipif.inc'); ?>
--INI--
mysqlnd_uh.enabled = 0;
--FILE--
<?php
	require_once('config.inc');

	if (($tmp = ini_get("mysqlnd_uh.enabled")) != false)
		printf("[001] mysqlnd_uh.enabled not set to false, got '%s'\n", $tmp);

	$classname = constant("mysqlnd_uh_test\CLASS_CONNECTION");
	$conn = new $classname;

	/* TODO: add calls to each and every method */
	$conn->query(1, 2);

	print "done!";
?>
--EXPECTF--
Warning: MySQLndUhConnection::__construct(): (MySQLnd User Handler) The plugin has been disabled by setting the configuration parameter mysqlnd_uh.enabled = false.  You must not use any of the base classes in %s on line %d

Warning: MySQLndUhConnection::query(): (MySQLnd User Handler) The plugin has been disabled by setting the configuration parameter mysqlnd_uh.enabled = false.  You must not use any of the base classes in %s on line %d
done!