--TEST--
phpinfo()
--SKIPIF--
<?php require_once('skipif.inc'); ?>
--FILE--
<?php
	ob_start();
	phpinfo();
	$info = ob_get_contents();
	ob_end_clean();

	$expected = array(
		'mysqlnd_uh support' => 'enabled',
		'MySQLnd User Handler (mysqlnd_uh)' => 'version',
	);

	foreach ($expected as $key => $value) {
		if (!stristr($info, $key)) {
			printf("'%s' not found, should show value like '%s'\n", $key, $value);
		}
	}

	print "done!";
?>
--EXPECTF--
done!