--TEST--
resource MySQLndUhConnection::endPSession(resource $connection)
--SKIPIF--
<?php require_once('skipif.inc'); ?>
--FILE--
<?php
	require_once('config.inc');

	/* NOTE: we may never get a callback - it may happen during *shutdown* after PHP script execution */
	class proxy extends MySQLndUhConnection {
		public function endPSession($conn) {
			printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
			return parent::endPSession($conn);
		}
	}

	$conn = new mysqli('p:' . MYSQLND_UH_TEST_MYSQL_HOST, MYSQLND_UH_TEST_MYSQL_USER, MYSQLND_UH_TEST_MYSQL_PASSWD, MYSQLND_UH_TEST_MYSQL_DB, MYSQLND_UH_TEST_MYSQL_PORT, MYSQLND_UH_TEST_MYSQL_SOCKET);
	mysqlnd_uh_test\query_test::mysqli($conn);
/*
	mysqlnd_uh_set_connection_proxy(new proxy());
	$conn = new mysqli('p:' . MYSQLND_UH_TEST_MYSQL_HOST, MYSQLND_UH_TEST_MYSQL_USER, MYSQLND_UH_TEST_MYSQL_PASSWD, MYSQLND_UH_TEST_MYSQL_DB, MYSQLND_UH_TEST_MYSQL_PORT, MYSQLND_UH_TEST_MYSQL_SOCKET);
	$conn->close();
*/
	print "done!";
?>
--XFAIL--
Likely not a plugin matter
--EXPECTF--
done!