--TEST--
resource MySQLndUhConnection::restartPSession(resource $connection)
--SKIPIF--
<?php require_once('skipif.inc'); ?>
--FILE--
<?php
	require_once('config.inc');

	class proxy extends MySQLndUhConnection {
		public function restartPSession($conn) {
			printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
			return parent::restartPSession($conn);
		}
	}

	$conn = new mysqli('p:' . MYSQLND_UH_TEST_MYSQL_HOST, MYSQLND_UH_TEST_MYSQL_USER, MYSQLND_UH_TEST_MYSQL_PASSWD, MYSQLND_UH_TEST_MYSQL_DB, MYSQLND_UH_TEST_MYSQL_PORT, MYSQLND_UH_TEST_MYSQL_SOCKET);
	mysqlnd_uh_test\query_test::mysqli($conn);

	mysqlnd_uh_set_connection_proxy(new proxy());
	$conn = new mysqli('p:' . MYSQLND_UH_TEST_MYSQL_HOST, MYSQLND_UH_TEST_MYSQL_USER, MYSQLND_UH_TEST_MYSQL_PASSWD, MYSQLND_UH_TEST_MYSQL_DB, MYSQLND_UH_TEST_MYSQL_PORT, MYSQLND_UH_TEST_MYSQL_SOCKET);
	$conn->close();
	$conn = new mysqli('p:' . MYSQLND_UH_TEST_MYSQL_HOST, MYSQLND_UH_TEST_MYSQL_USER, MYSQLND_UH_TEST_MYSQL_PASSWD, MYSQLND_UH_TEST_MYSQL_DB, MYSQLND_UH_TEST_MYSQL_PORT, MYSQLND_UH_TEST_MYSQL_SOCKET);
	$conn->close();
	$conn = new mysqli('p:' . MYSQLND_UH_TEST_MYSQL_HOST, MYSQLND_UH_TEST_MYSQL_USER, MYSQLND_UH_TEST_MYSQL_PASSWD, MYSQLND_UH_TEST_MYSQL_DB, MYSQLND_UH_TEST_MYSQL_PORT, MYSQLND_UH_TEST_MYSQL_SOCKET);
	mysqlnd_uh_test\query_test::mysqli($conn);

	print "done!";
?>
--XFAIL--
Likely not a plugin matter
--EXPECTF--
proxy::restartPSession(array (
  0 => NULL,
))
proxy::restartPSession(array (
  0 => NULL,
))
done!