--TEST--
bool MySQLndUhConnection::selectDb(resource $connection, string $db)
--SKIPIF--
<?php require_once('skipif.inc'); ?>
--FILE--
<?php
	require_once('config.inc');

	class proxy extends MySQLndUhConnection {
		public function selectDb($res, $db) {
			printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
			var_dump($ret = parent::selectDb($res, $db));
			return $ret;
		}
	}

	class proxy2 extends MySQLndUhConnection {
		public function selectDb($res, $db) {
			return $db;
		}
	}

	class proxy3 extends MySQLndUhConnection {
		public function selectDb($res, $db) {}
	}

	$conn = mysqlnd_uh_test\connect::mysql();
	mysql_select_db(MYSQLND_UH_TEST_MYSQL_DB, $conn);
	mysqlnd_uh_test\query_test::mysql($conn);

	mysqlnd_uh_set_connection_proxy(new proxy());
	mysqlnd_uh_test\query_test::mysql($conn);

	mysqlnd_uh_set_connection_proxy(new proxy());
	mysql_select_db(MYSQLND_UH_TEST_MYSQL_DB, $conn);
	mysqlnd_uh_test\query_test::mysql($conn);

	mysqlnd_uh_set_connection_proxy(new proxy2());
	mysql_select_db(MYSQLND_UH_TEST_MYSQL_DB, $conn);

	mysqlnd_uh_set_connection_proxy(new proxy3());
	mysql_select_db(MYSQLND_UH_TEST_MYSQL_DB, $conn);

	print "done!";
?>
--EXPECTF--
proxy::selectDb(array (
  0 => NULL,
  1 => 'test',
))
bool(true)

Warning: mysql_select_db(): (MySQLnd User Handler) The method MySQLndUhConnection::selectDb() did not return a boolean value as it should in %s on line %d

Warning: mysql_select_db(): (MySQLnd User Handler) The method MySQLndUhConnection::selectDb() did not return a boolean value as it should in %s on line %d
done!